This discussion is archived
5 Replies Latest reply: Jan 21, 2013 9:38 AM by Dave Miner RSS

Cannot enable gdm

984680 Newbie
Currently Being Moderated
Hello.

I have only the command-line in my system. I want to enable the graphical login but i cannot even enable gdm.

svcadm: svc:/application/graphical-login/gdm:default: is not complete, missing general/complete (see svcs -xv svc:/application/graphical-login/gdm:default for details)

then it shows:


# svcs -xv svc:/application/graphical-login/gdm:default
svc:/application/graphical-login/gdm:default (?)
State: -
Reason: Service is incomplete, defined only by profile /etc/svc/profile/generic.xml
Impact: This service is not running.
#


Can someone help? I'm pretty new to solaris....

Edited by: 981677 on 14.01.2013 05:20
  • 1. Re: Cannot enable gdm
    Dave Miner Explorer
    Currently Being Moderated
    I expect that the problem is that you installed using the text installer ISO, which does not include the desktop environment. You'll need to "pkg install solaris-desktop" to get it.
  • 2. Re: Cannot enable gdm
    984680 Newbie
    Currently Being Moderated
    Thank you for the fast answer.

    Here comes the next problem :-(
    It is almost impossible to install any packages with pkg because of ... "This version is excluded by installed incorporation pkg:".....

    Is is safe to deinstall the incorporation thing...? Or should i make a new BE and try it there first?

    Edited by: 981677 on 16.01.2013 00:29
  • 3. Re: Cannot enable gdm
    Dave Miner Explorer
    Currently Being Moderated
    Removing incorporation packages is almost never the right thing to do. The right action depends on the specifics of the problem (would need more details from the messages to understand that), but may mean that you're not connected to the correct repository or are in need of an update first.
  • 4. Re: Cannot enable gdm
    984680 Newbie
    Currently Being Moderated
    I run Solaris 11 11/11

    and here is the whole message:

    # pkg install solaris-desktop
    Creating Plan -
    pkg install: No matching version of group/system/solaris-desktop can be installed:
    Reject: pkg://solaris/group/system/solaris-desktop@0.5.11,5.11-0.175.0.0.0.2.2576:20111020T063608Z
    Reason: All versions matching 'group' dependency pkg:/codec/ogg-vorbis are rejected
    Reject: pkg://solaris/codec/ogg-vorbis@0.5.11,5.11-0.151.0.1:20101105T053348Z
    pkg://solaris/codec/ogg-vorbis@2.30.0,5.11-0.175.0.0.0.0.0:20110927T081051Z
    pkg://solaris/codec/ogg-vorbis@2.30.0,5.11-0.175.0.10.1.0.0:20120918T155945Z
    pkg://solaris/codec/ogg-vorbis@2.30.0,5.11-0.175.1.0.0.12.0:20120319T194136Z
    Reason: This version is excluded by installed incorporation pkg://solaris/consolidation/desktop/desktop-incorporation@0.5.11,5.11-0.175.0.12.0.4.0:20121002T161024Z



    and this is my repository:

    # pkg publisher
    PUBLISHER TYPE STATUS URI
    solaris origin online http://pkg.oracle.com/solaris/release/
    solaris mirror online http://pkg-cdn1.oracle.com/solaris/release/
    sfe origin online http://pkg.openindiana.org/sfe/

    Edited by: 981677 on 17.01.2013 01:31
  • 5. Re: Cannot enable gdm
    Dave Miner Explorer
    Currently Being Moderated
    It appears that you have support packages installed but the system is configured to use the release repository, which doesn't have the same versions available.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points